<?php 
require_once "../modelos/Almacen.php";

$almacen=new Almacen();

$idalmacen=isset($_POST["idalmacen"])? limpiarCadena($_POST["idalmacen"]):"";
$nombre=isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$descripcion=isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$clase=isset($_POST["clase"])? limpiarCadena($_POST["clase"]):"0";


switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idalmacen)) {
			$rspta=$almacen->insertar($nombre,$descripcion);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			$rspta=$almacen->editar($idalmacen,$nombre,$descripcion);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
		break;

	case 'guardaryeditarfactory':
		if (empty($idalmacen)) {
			$rspta=$almacen->insertarf($nombre,$descripcion,$clase);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			$rspta=$almacen->editarf($idalmacen,$nombre,$descripcion,$clase);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
		break;
	

	case 'desactivar':
		$rspta=$almacen->desactivar($idalmacen);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
		break;
	case 'activar':
		$rspta=$almacen->activar($idalmacen);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
		break;
	
	case 'mostrar':
		$rspta=$almacen->mostrar($idalmacen);
		echo json_encode($rspta);
		break;

    case 'listar':
		$rspta=$almacen->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idalmacen.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idalmacen.')">
						<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idalmacen.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idalmacen.')">
						<i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->descripcion,
            "3"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
		break;

		case 'listarfactory':
			$rspta=$almacen->listarf();
			$data=Array();
	
			while ($reg=$rspta->fetch_object()) {
				$data[]=array(
							"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
							onclick="mostrar('.$reg->idalmacen.')"><i class="fa fa-pencil"></i></button>'.' '.'
							<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idalmacen.')">
							<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
							onclick="mostrar('.$reg->idalmacen.')"><i class="fa fa-pencil"></i></button>'.' '.'
							<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idalmacen.')">
							<i class="fa fa-check"></i></button>',
				"1"=>$reg->nombre,
				"2"=>$reg->descripcion,
				"3"=>$reg->clase,
				"4"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
				  );
			}
			$results=array(
				 "sEcho"=>1,//info para datatables
				 "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
				 "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
				 "aaData"=>$data); 
			echo json_encode($results);
			break;
		
		case 'select':

			$rspta = $almacen->select();
			$valorinicio	= 0;
			$valornombre	= 'Seleccione un Almacen';
			echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
			while ($reg = $rspta->fetch_object()) {
				echo '<option value='.$reg->idalmacen.'>'.$reg->nombre.'</option>';
			}
		break;

		case 'selectfactory':

			$rspta = $almacen->selectf();
			$valorinicio	= 0;
			$valornombre	= 'Seleccione un Almacen';
			echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
			while ($reg = $rspta->fetch_object()) {
				echo '<option value='.$reg->idalmacen.'>'.$reg->nombre.'</option>';
			}
		break;

		case 'selectfactoryinsumo':

			$rspta = $almacen->selectfi();
			$valorinicio	= 0;
			$valornombre	= 'Seleccione un Almacen';
			echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
			while ($reg = $rspta->fetch_object()) {
				echo '<option value='.$reg->idalmacen.'>'.$reg->nombre.'</option>';
			}
		break;

		case 'selectfactoryterminado':

			$rspta = $almacen->selectft();
			$valorinicio	= 0;
			$valornombre	= 'Seleccione un Almacen';
			echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
			while ($reg = $rspta->fetch_object()) {
				echo '<option value='.$reg->idalmacen.'>'.$reg->nombre.'</option>';
			}
		break;
}
 ?>